Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.dom
Class CoreDOMImplementationImpl

    java.lang.Object
      weblogic.apache.xerces.dom.CoreDOMImplementationImpl

All Implemented Interfaces:
  DOMImplementation, DOMImplementationLS

Direct Known Subclasses:
  DOMImplementationImpl, PSVIDOMImplementationImpl

Deprecated. please use JDK supplied XML parsers and transformers

    public class CoreDOMImplementationImpl

extends Object
implements DOMImplementation, DOMImplementationLS

The DOMImplementation class is description of a particular implementation of the Document Object Model. As such its data is static, shared by all instances of this implementation.

The DOM API requires that it be a real object rather than static methods. However, there's nothing that says it can't be a singleton, so that's how I've implemented it.

This particular class, along with CoreDocumentImpl, only supports the DOM Core. Optional modules are supported by the more complete DOMImplementation class along with DocumentImpl.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Since:
  PR-DOM-Level-1-19980818. This particular class, along with CoreDocumentImpl, supports the DOM Core and Load/Save (Experimental). Optional modules are supported by the more complete DOMImplementation class along with DocumentImpl., PR-DOM-Level-1-19980818.

Field Summary

Fields inherited from interface org.w3c.dom.ls.DOMImplementationLS
`MODE_ASYNCHRONOUS, MODE_SYNCHRONOUS`

Constructor Summary
`CoreDOMImplementationImpl()` Deprecated.

Method Summary
`Document` | `createDocument(String namespaceURI, String qualifiedName, DocumentType doctype)` Deprecated. Introduced in DOM Level 2.
`DocumentType` | `createDocumentType(String qualifiedName, String publicID, String systemID)` Deprecated. Introduced in DOM Level 2.
`DOMBuilder` | `createDOMBuilder(short mode, String schemaType)` Deprecated. DOM Level 3 WD - Experimental.
`DOMInputSource` | `createDOMInputSource()` Deprecated. DOM Level 3 WD - Experimental.
`DOMWriter` | `createDOMWriter()` Deprecated. DOM Level 3 WD - Experimental.
`static DOMImplementation` | `getDOMImplementation()` Deprecated. NON-DOM: Obtain and return the single shared object
`DOMImplementation` | `getInterface(String feature)` Deprecated. DOM Level 3 WD - Experimental.
`boolean` | `hasFeature(String feature, String version)` Deprecated. Test if the DOM implementation supports a specific "feature" -- currently meaning language and level thereof.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.DOMImplementation
`getFeature`

Methods inherited from interface org.w3c.dom.ls.DOMImplementationLS
`createLSInput, createLSOutput, createLSParser, createLSSerializer`

Constructor Detail

### CoreDOMImplementationImpl

    public CoreDOMImplementationImpl()

  Deprecated.

Method Detail

### getDOMImplementation

    public static DOMImplementation getDOMImplementation()

  Deprecated.
  NON-DOM: Obtain and return the single shared object

### hasFeature

    public boolean hasFeature(String feature,
                              String version)

  Deprecated.
  Test if the DOM implementation supports a specific "feature" -- currently meaning language and level thereof.

  Specified by:
    `hasFeature` in interface `DOMImplementation`
  Parameters:
    `feature` - The package name of the feature to test. In Level 1, supported values are "HTML" and "XML" (case-insensitive). At this writing, weblogic.apache.xerces.dom supports only XML.
    `version` - The version number of the feature being tested. This is interpreted as "Version of the DOM API supported for the specified Feature", and in Level 1 should be "1.0"

### createDocumentType

    public DocumentType createDocumentType(String qualifiedName,
                                           String publicID,
                                           String systemID)

  Deprecated.
  Introduced in DOM Level 2.

  Creates an empty DocumentType node.

  Specified by:
    `createDocumentType` in interface `DOMImplementation`
  Parameters:
    `qualifiedName` - The qualified name of the document type to be created.
    `publicID` - The document type public identifier.
    `systemID` - The document type system identifier.
  Since:
    WD-DOM-Level-2-19990923

### createDocument

    public Document createDocument(String namespaceURI,
                                   String qualifiedName,
                                   DocumentType doctype)
                            throws DOMException

  Deprecated.
  Introduced in DOM Level 2.

  Creates an XML Document object of the specified type with its document element.

  Specified by:
    `createDocument` in interface `DOMImplementation`
  Parameters:
    `namespaceURI` - The namespace URI of the document element to create, or null.
    `qualifiedName` - The qualified name of the document element to create.
    `doctype` - The type of document to be created or null.

    When doctype is not null, its Node.ownerDocument attribute is set to the document being created.

  Returns:
    Document A new Document object.
  Throws:
    `DOMException` - WRONG_DOCUMENT_ERR: Raised if doctype has already been used with a different document.
  Since:
    WD-DOM-Level-2-19990923

### getInterface

    public DOMImplementation getInterface(String feature)

  Deprecated.
  DOM Level 3 WD - Experimental. This method makes available a `DOMImplementation`'s specialized interface (see ).

  Parameters:
    `feature` - The name of the feature requested (case-insensitive).
  Returns:
    Returns an alternate `DOMImplementation` which implements the specialized APIs of the specified feature, if any, or `null` if there is no alternate `DOMImplementation` object which implements interfaces associated with that feature. Any alternate `DOMImplementation` returned by this method must delegate to the primary core `DOMImplementation` and not return results inconsistent with the primary `DOMImplementation`

### createDOMBuilder

    public DOMBuilder createDOMBuilder(short mode,
                                       String schemaType)
                                throws DOMException

  Deprecated.
  DOM Level 3 WD - Experimental.

  Throws:
    `DOMException`

### createDOMWriter

    public DOMWriter createDOMWriter()

  Deprecated.
  DOM Level 3 WD - Experimental.

### createDOMInputSource

    public DOMInputSource createDOMInputSource()

  Deprecated.
  DOM Level 3 WD - Experimental.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD